IpNetworkScope (CMDB Model API)
Keywords: com.collation.platform.model.discovery.scope.IpNetworkScope interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.discovery.scope
Interface IpNetworkScope

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, ScopeElement, java.io.Serializable

    public interface IpNetworkScope

extends ScopeElement

Naming Rules:
  0="keyGuid,ipAddress,subnetMask"
Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getIpAddress()`
`java.lang.String` | `getSubnetMask()`
`boolean` | `hasIpAddress()`
`boolean` | `hasSubnetMask()`
`void` | `setIpAddress(java.lang.String ipAddress)`
`void` | `setSubnetMask(java.lang.String subnetMask)`

Methods inherited from interface com.collation.platform.model.discovery.scope.ScopeElement
`getExcludes, getKeyGuid, getName, hasExcludes, hasKeyGuid, hasName, setExcludes, setKeyGuid, setName`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getIpAddress

    java.lang.String getIpAddress()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setIpAddress

    void setIpAddress(java.lang.String ipAddress)

### hasIpAddress

    boolean hasIpAddress()

### getSubnetMask

    java.lang.String getSubnetMask()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSubnetMask

    void setSubnetMask(java.lang.String subnetMask)

### hasSubnetMask

    boolean hasSubnetMask()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD